mantel.randtest {ade4} | R Documentation

## Mantel test (correlation between two distance matrices (in C).)

### Description

Performs a Mantel test between two distance matrices.

### Usage

    mantel.randtest(m1, m2, nrepet = 999, ...)

### Arguments

`m1` | an object of class `dist`
`m2` | an object of class `dist`
`nrepet` | the number of permutations
`...` | further arguments passed to or from other methods

### Value

an object of class `randtest` (randomization tests)

### Author(s)

Jean Thioulouse Jean.Thioulouse@univ-lyon1.fr

### References

Mantel, N. (1967) The detection of disease clustering and a generalized regression approach. Cancer Research, 27, 209–220.

### Examples

    data(yanomama)
    gen <- quasieuclid(as.dist(yanomama$gen))
    geo <- quasieuclid(as.dist(yanomama$geo))
    plot(r1 <- mantel.randtest(geo,gen), main = "Mantel's test")
    r1

[Package ade4 version 1.7-13 Index]